Home > Element Reference : Constructor

Contents

### Constructor

The code inside this element is called when the binding is attached to an element. You can use this to initialize the content the binding uses. The constructor should be placed inside the implementation element.

More information about Constructor

#### Attributes:

Attributes inherited from XUL Element

action

The code contained in the action value is executed for the constructor. Alternatively, you can put the code inside the constructor element.

class

The style class of the xbl:constructor. Multiple classes may be specified by separating them with spaces.

id

A unique identifier so that you can identify the xbl:constructor with. You can use this as a parameter to getElementById and other DOM functions and to reference the element in style sheets.

Copyright (C) 1999 - 2002 XULPlanet.com